Bug 857705 - Review Request: dataquay - Simple RDF for C++ and Qt applications
Summary: Review Request: dataquay - Simple RDF for C++ and Qt applications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 840945
TreeView+ depends on / blocked
 
Reported: 2012-09-16 11:22 UTC by Michel Alexandre Salim
Modified: 2012-11-15 02:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-15 02:27:12 UTC
Type: ---
mattdm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2012-09-16 11:22:42 UTC
Spec URL: http://salimma.fedorapeople.org/specs/media/dataquay.spec
SRPM URL: http://salimma.fedorapeople.org/specs/media/dataquay-0.9-1.fc17.src.rpm
Description:
NOTE: this is a new dependency for Sonic Visualiser 2.0, which uses dataquay as an abstraction instead of using redland directly as before

Dataquay is a free open source library that provides a friendly C++
interface to an RDF datastore using Qt4 classes and
containers. Supported datastores are the popular and feature-complete
Redland and the lightweight Sord.

Dataquay is simple to use and easy to integrate. It is principally
aimed at Qt-based applications that would like to use an RDF datastore
as backing for in-memory project data, to avoid having to invent file
formats or XML schemas and to make it easy to augment the data with
descriptive metadata pulled in from external sources. It's also useful
for applications with ad-hoc needs for metadata management using RDF
sources.

Dataquay does not use a separate database, instead using in-memory
storage with separate file import and export facilities. Although it
offers a choice of datastore implementations, the choice is made at
compile time: there is no runtime module system to take into account
when deploying your application.

Fedora Account System Username: salimma

Comment 1 Matthew Miller 2012-09-28 18:03:19 UTC
Note: https://bugzilla.redhat.com/show_bug.cgi?id=857709

Comment 2 Matthew Miller 2012-09-28 18:24:45 UTC
rpmlint spelling warnings only; they're noise and can be ignored.

  dataquay.x86_64: W: spelling-error %description -l en_US datastore -> data store, data-store, devastator
  dataquay.x86_64: W: spelling-error %description -l en_US datastores -> data stores, data-stores, devastator
  dataquay.x86_64: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
  dataquay.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
  dataquay.x86_64: W: spelling-error %description -l en_US hoc -> ho, choc, hock
  dataquay.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment

I agree with your comment that the actual license text is more like MIT than BSD. 


All of the MUST items are met.


Package builds in mock, with selinux off -- see bug #857709. If we're going to put this in before that's fixed, maybe a comment in the spec file should reference the bug?

The package description notes that the datastore is changeable at compile time. I think it should note that the Fedora package is built with Redland (and maybe that the docs recommend that for general-purpose packaging?).

Comment 3 Michel Alexandre Salim 2012-10-09 03:20:51 UTC
Sorry for the delay; I've now added the comment in the spec and updated the description as suggested.

Spec URL: http://salimma.fedorapeople.org/specs/media/dataquay.spec
SRPM URL: http://salimma.fedorapeople.org/specs/media/dataquay-0.9-2.fc18.src.rpm

Comment 4 Matthew Miller 2012-10-29 17:25:19 UTC
Do we need to have the devel package require pkgconfig for %{_libdir}/pkgconfig?

Comment 5 Matthew Miller 2012-10-29 17:31:13 UTC
Other than that, everything looks good to go:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/mattdm/tmp/857705-dataquay/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 7 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Comment 6 Michel Alexandre Salim 2012-11-01 03:31:43 UTC
(In reply to comment #4)
> Do we need to have the devel package require pkgconfig for
> %{_libdir}/pkgconfig?

Dependency on /usr/bin/pkg-config is automatically added if a package shipped *.pc files:

$ rpm -qp --requires /var/lib/mock/fedora-18-x86_64-dq/result/dataquay-devel-0.9-2.fc18.x86_64.rpm | grep pkg
/usr/bin/pkg-config

Comment 7 Matthew Miller 2012-11-01 15:13:02 UTC
Okay then. ACK!

Comment 8 Michel Alexandre Salim 2012-11-01 17:22:16 UTC
Super, thanks!

New Package SCM Request
=======================
Package Name: dataquay
Short Description: Simple RDF for C++ and Qt applications
Owners: salimma
Branches: f17 f18
InitialCC:

Comment 9 Gwyn Ciesla 2012-11-01 17:37:38 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-11-03 03:06:33 UTC
dataquay-0.9-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dataquay-0.9-3.fc18

Comment 11 Fedora Update System 2012-11-03 03:06:47 UTC
dataquay-0.9-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dataquay-0.9-3.fc17

Comment 12 Fedora Update System 2012-11-03 19:26:54 UTC
dataquay-0.9-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2012-11-15 02:27:14 UTC
dataquay-0.9-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.